Bug 646874 - Review Request: rubygem-sequel - database toolkit for ruby
Review Request: rubygem-sequel - database toolkit for ruby
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Guillermo Gómez
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 10:32 EDT by Alejandro_Perez
Modified: 2011-01-27 08:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-27 08:27:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guillermo.gomez: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alejandro_Perez 2010-10-26 10:32:13 EDT
Spec URL: http://aeperezt.fedorapeople.org/rpmdev/rubygem-sequel.spec
SRPM URL: http://aeperezt.fedorapeople.org/rpmdev/rubygem-sequel-3.16.0-4.fc14.src.rpm
Description: sequel provides thread safety, connection pooling and a concise DSL for constructing SQL queries and table schemas, with ORM layer to mapping record to Ruby Objects and handling associated records. Suppor for multiple databases
Comment 1 Alejandro_Perez 2010-10-26 18:06:23 EDT
This is my first package, therefore I'm looking for a sponsor
Comment 2 Guillermo Gómez 2010-10-26 18:37:18 EDT
I'll take this one, mentoring Alejandro and coworking with Toshio as sponsor.
Comment 3 Guillermo Gómez 2010-10-27 10:59:53 EDT
1. Please always include rpmlint output on your requests

http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

Filter obvious/useless warnings if too long (happens with yaml/rdoc files in sombre ruby packages)

2. Changelog, adjust according to release number. Avoid mistakes using rpmdev-bumpspec. Also for more than one change, break on several lines

%changelog
* Tue Oct 26 2010 Alejandro Pérez <aeperezt@fedoraproject.org> - 3.16.0.3
- renamed spec file name, change from list of doc files to doc folder
* Fri Oct 23 2010 Alejandro Pérez <aeperezt@fedoraproject.org> - 3.16.0-3

%changelog
* Tue Oct 26 2010 Alejandro Pérez <aeperezt@fedoraproject.org> - 3.16.0.4
- Renamed spec file name
- Change from list of doc files to doc folder
*
...

3. koji builds fine for F14, F13 and F12.

Besides this couple of little things... :-D
Comment 4 Alejandro_Perez 2010-10-27 11:56:23 EDT
1. New change done to fix error on the change log new version set to 3.16.0-5
spec file at http://aeperezt.fedorapeople.org/rpmdev/rubygem-sequel.spec
srpm file at http://aeperezt.fedorapeople.org/rpmdev/rubygem-sequel-3.16.0-5.fc14.src.rpm

2. rpmlint output for spec and srpm

rpmlint -i rubygem-sequel.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint -i ../SRPMS/rubygem-sequel-3.16.0-5.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Thanks.
Comment 5 Guillermo Gómez 2010-10-28 13:12:12 EDT
Reviewed the License, fix it to MIT.
Comment 7 Alejandro_Perez 2010-11-04 12:24:46 EDT
2 rpmlint for spec and srpm file
rpmlint -i rubygem-sequel.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint -i ../SRPMS/rubygem-sequel-3.16.0-6.fc14.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 8 Guillermo Gómez 2010-11-05 10:07:09 EDT
# Package naming: OK
# Spec file name: OK
# License: OK
# Spec written in en_US: OK
# Spec file legible: OK
# Sources matches upstream: OK
# Compile/build: OK
# BuildRequires: OK
# Consistency using macros: OK
# Large documentation files must go in a -doc subpackage: OK
# koji builds fine for F12, F13 and F14

APPROVED
Comment 9 Alejandro_Perez 2010-11-05 11:20:43 EDT
New Package SCM Request
=======================
Package Name: rubygem-sequel
Short Description: Database toolkit for Ruby
Owners: aeperezt
Branches: F13 F14 el6
InitialCC: gomix
Comment 10 Jason Tibbitts 2010-11-05 13:26:33 EDT
Git done (by process-git-requests).
Comment 11 Steve Traylen 2011-01-21 13:58:48 EST
Hi Alejandro,

  Would you consider creating an EPEL5 build of rubygem-sequel

  I just tried rebuilding the EPEL6 package and it builds with out modification,

  scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2735398

 Steve.

(p.s this ticket probably needs closing.)

Note You need to log in before you can comment on or make changes to this bug.